package com.zd.laboratory.socket.service.impl;


import com.zd.laboratory.socket.constant.JXCTPacket;
import com.zd.laboratory.socket.exception.AnalysisException;
import com.zd.laboratory.socket.service.BaseRouter;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;


/**
 * @author liubo
 * 配置定时指令操作返回
 */
@Service
public class Heartbeat implements BaseRouter {

    private static Logger log = LoggerFactory.getLogger(Heartbeat.class);

    public Heartbeat() {
        routerMap.put("heartbeat", this);
    }

    @Override
    public String routePacket(JXCTPacket tracketPacket) throws AnalysisException {

        log.info(tracketPacket.deviceNumber + " 心跳");

        return null;
    }
}
